'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function VariableMix(theme) {
  var Core = theme.Core;
  var ComponentCustomStyle = theme.Message;
  /**
   * 对话框
   * @namespace component
   * @property module dialog
   * @property tag Dialog
   * @property category component
   */
  var variables = {
    /**
     * width
     * @property namespace size/bounding
     */
    '$btn-pure-normal-color': Core['$color-text1-4'],
    '$btn-pure-normal-color-hover': Core['$color-text1-4'],
    '$btn-pure-normal-bg': Core['$color-white'],
    '$btn-pure-normal-bg-hover': Core['$color-fill1-2'],
    '$btn-pure-normal-border-color': Core['$color-line1-3'],
    '$btn-pure-normal-border-color-hover': Core['$color-line1-4'],
    '$btn-pure-primary-color': Core['$color-white'],
    '$btn-pure-primary-color-hover': Core['$color-white'],
    '$btn-pure-primary-bg': Core['$color-brand1-6'],
    '$btn-pure-primary-bg-hover': Core['$color-brand1-9'],
    '$btn-pure-primary-border-color': Core['$color-transparent'],
    '$btn-pure-primary-border-color-hover': Core['$color-transparent'],
    '$btn-pure-secondary-color': Core['$color-brand1-6'],
    '$btn-pure-secondary-color-hover': Core['$color-white'],
    '$btn-pure-secondary-bg': Core['$color-white'],
    '$btn-pure-secondary-bg-hover': Core['$color-brand1-9'],
    '$btn-pure-secondary-border-color': Core['$color-brand1-6'],
    '$btn-pure-secondary-border-color-hover': Core['$color-brand1-9'],

    '$color-notice-3': Core['$color-notice-3'], // || '#4494f9',//,
    '$color-notice-1': Core['$color-notice-1'] // || '#e3f2fd',
  };

  var variable = _extends(variables, ComponentCustomStyle);
  return variable;
}
module.exports = VariableMix;