'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {
  /*风格*/
  'normal': {
    'border-style': 'solid',
    'background-color': '#fff',
    'border-color': '#c4c6cf',
    'cursor': 'pointer',
    'border-radius': '3px'
  },
  'primary': {
    'border-style': 'solid',
    'background-color': '#5584ff',
    'color': '#fff',
    'border-color': 'transparent',
    'cursor': 'pointer',
    'border-radius': '3px'
  },
  'secondary': {
    'border-style': 'solid',
    'background-color': '#fff',
    'border-color': '#5584ff',
    'cursor': 'pointer',
    'border-radius': '3px'
  },
  /*尺寸*/
  'large': {
    'border-radius': '3px',
    'padding': '0 16px',
    'height': '40px',
    'line-height': '38px',
    'font-size': '16px',
    'border-width': '1px'
  },
  'medium': {
    'border-radius': '3px',
    'padding': '0 12px',
    'height': '28px',
    'line-height': '26px',
    'font-size': '12px',
    'border-width': '1px'
  },
  'small': {
    'border-radius': '3px',
    'padding': '0 8px',
    'height': '20px',
    'line-height': '18px',
    'font-size': '12px',
    'border-width': '1px'
  },
  /*类型*/
  /*文字类按钮*/
  'text-size': {
    'border-radius': '0',
    'padding': '0',
    'border-width': '0',
    'cursor': 'normal'
  },
  'text-normal': {
    'color': '#5584ff'
  },
  'text-primary': {
    'color': '#5584ff'
  },
  'text-secondary': {
    'color': '#666'
  },
  'warning-normal': {
    'background-color': '#fff',
    'border-color': '#ff3000',
    'color': '#ff3000'
  },
  'warning-primary': {
    'background-color': '#ff3000',
    'border-color': '#ff3000',
    'color': '#fff'
  },
  'disabled': {
    'cursor': 'not-allowed',
    'background-color': '#f7f8fa',
    'border-color': '#e6e7eb',
    'color': '#ccc'
  }
};
module.exports = exports['default'];